CVE-2018-18499

Published: 28 February 2019

A same-origin policy violation allowing the theft of cross-origin URL entries when using a meta http-equiv="refresh" on a page to cause a redirection to another site using performance.getEntries(). This is a same-origin policy violation and could allow for data theft. This vulnerability affects Firefox < 62, Firefox ESR < 60.2, and Thunderbird < 60.2.1.

Priority

Medium

CVSS 3 base score: 6.5

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
Upstream
Released (62.0)
Ubuntu 21.04 (Hirsute Hippo)
Released (62.0+build2-0ubuntu1)
Ubuntu 20.10 (Groovy Gorilla)
Released (62.0+build2-0ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (62.0+build2-0ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (62.0+build2-0ubuntu1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (62.0+build2-0ubuntu0.16.04.3)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needs-triage)
firefox-esr
Launchpad, Ubuntu, Debian
Upstream
Released (60.2.0esr-1)
Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

mozjs38
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Needs triage

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

mozjs52
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Needs triage

Ubuntu 20.04 LTS (Focal Fossa) Needs triage

Ubuntu 18.04 LTS (Bionic Beaver) Needs triage

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

mozjs60
Launchpad, Ubuntu, Debian
Upstream Needs triage

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

thunderbird
Launchpad, Ubuntu, Debian
Upstream
Released (60.2.1)
Ubuntu 21.04 (Hirsute Hippo)
Released (1:60.2.1+build1-0ubuntu1)
Ubuntu 20.10 (Groovy Gorilla)
Released (1:60.2.1+build1-0ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (1:60.2.1+build1-0ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1:60.2.1+build1-0ubuntu0.18.04.2)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (1:60.2.1+build1-0ubuntu0.16.04.4)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist
(trusty was needs-triage)